Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### keyReleased()

Examples

    // Click on the image to give it focus,
    // and then press any key

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void keyReleased() {
      if (value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }

Description | The keyReleased() function is called once every time a key is released. The key that was released will be stored in the key variable. See key and keyReleased for more information.

Syntax

    void keyReleased() {
      statements
    }

Returns | None
Usage | Web & Application
Related | keyPressed key keyCode keyPressed()

Updated on August 30, 2010 04:29:39pm EDT